package j3d;

public interface Object3D extends Transformable3D
{
  public Point3D[] getVertices();

  public Triangle3D[] getTriangles();

  public Vector3D[] getVNormals();

  public Vector3D[] getTNormals();

  public Point3D[] getBoundingBox();

  public Object3D copy();
  
  public void center();
}
