package j3d;

public class Position3D implements Transformer3D {

  public Point3D pos;
  public Rotation3D rot;
  public float scale;

  public Position3D()
  {
  	this(new Point3D(0f,0f,0f),new Rotation3D(0f,0f,0f),1.0f);
  }

  public Position3D(Point3D pos,Rotation3D rot,float scale) {
    this.pos   = pos;
    this.rot   = rot;
    this.scale = scale;
  }

  public Matrix3D getTransMatrix() {
    return (new Matrix3D(Matrix3D.SCALE,scale)).multiply(rot.getTransMatrix().multiply(pos.getTransMatrix()));
  }
}
