package j3d;

public class Rotation3D extends Vector3D {

  public Rotation3D() {
		    super(0f,0f,0f);
		  }

  public Rotation3D(Vector3D v) {
	    super(v.x,v.y,v.z);
	  }

  public Rotation3D(float x, float y, float z) {
    super(x,y,z);
  }

  public Matrix3D getTransMatrix() {
    return new Matrix3D(Matrix3D.ROTXYZ,x,y,z);
  }
}
