package j3d.basic;

import j3d.*;

public abstract class Box extends BasicObject3D {

  public Box(float width,float height,float depth) {
    vertices = new Point3D[8];
    alloc(12);

    float w = width/2, h = height/2, d = depth/2;

    vertices[0] = new Point3D( w, h, d);
    vertices[1] = new Point3D( w,-h, d);
    vertices[2] = new Point3D(-w,-h, d);
    vertices[3] = new Point3D(-w, h, d);
    vertices[4] = new Point3D(-w, h,-d);
    vertices[5] = new Point3D(-w,-h,-d);
    vertices[6] = new Point3D( w,-h,-d);
    vertices[7] = new Point3D( w, h,-d);

    setTriangle(0,1,2,0);
    setTriangle(1,3,0,2);
    setTriangle(2,5,6,4);
    setTriangle(3,7,4,6);
    setTriangle(4,6,1,7);
    setTriangle(5,0,7,1);
    setTriangle(6,6,5,1);
    setTriangle(7,2,1,5);
    setTriangle(8,2,5,3);
    setTriangle(9,4,3,5);
    setTriangle(10,4,7,3);
    setTriangle(11,0,3,7);

    initNormals();
  }
}
