package j3d.basic.colored;

import j3d.basic.*;
import java.awt.Color;

public class ColoredCylinder extends Cylinder {

  public ColoredCylinder(float radius,float height,int sections,Color color) {
    super(radius,height,sections);
    setColor(color);
  }

  protected void alloc(int tcount) {
    triangles = BasicColoredObject3D.alloc(tcount);
  }

  protected void setTriangle(int idx,int a,int b,int c) {
    BasicColoredObject3D.setTriangle(this,idx,a,b,c);
  }

  public void setColor(Color color) {
    BasicColoredObject3D.setColor(triangles,color);
  }
}
