package j3d.basic.colored;

import java.awt.Color;

import j3d.basic.Track;

public class ColoredTrack extends Track
{
	public ColoredTrack(int div,Color c)
	{
		super(div);
		setColor(c);
	}

	protected void alloc(int tcount)
	{
	    triangles = BasicColoredObject3D.alloc(tcount);
	}

	protected void setTriangle(int idx, int a, int b, int c)
	{
		BasicColoredObject3D.setTriangle(this,idx,a,b,c);
	}

	public void setColor(Color color)
	{
		BasicColoredObject3D.setColor(triangles,color);
	}
}
