import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class AddObjectDialog extends JDialog implements ActionListener
{
	static final long serialVersionUID = 1;

	private Object node = null;
	private JComboBox combo;

	public AddObjectDialog(JFrame f,Object curs)
	{
		super(f,true);
		getContentPane().setLayout(new BorderLayout());
		JPanel p = new JPanel(new FlowLayout());
		getContentPane().add(p,BorderLayout.CENTER);
		p.add(new JLabel("Object or sub-scene:"));
		int nbo = Export3D.tm.getChildCount(Export3D.objects);
		int nbs = Export3D.tm.getChildCount(Export3D.scenes);
		Object[] o = new Object[nbo+nbs-1];
		for (int i=0;i<nbo;i++)
			o[i] = Export3D.tm.getChild(Export3D.objects,i);
		int j = nbo;
		for (int i=0;i<nbs;i++)
		{
			Object os = Export3D.tm.getChild(Export3D.scenes,i);
			if (os!=curs)
				o[j++] = os;
		}
		combo = new JComboBox(o);
		p.add(combo);
		p = new JPanel(new FlowLayout());
		getContentPane().add(p,BorderLayout.SOUTH);
		JButton b = new JButton("Ok");
		b.setActionCommand("OK");
		b.addActionListener(this);
		p.add(b);
		b = new JButton("Cancel");
		b.setActionCommand("CANCEL");
		b.addActionListener(this);
		p.add(b);
		pack();
	}

	public void actionPerformed(ActionEvent e)
	{
		if (e.getActionCommand().equals("OK"))
			node = combo.getSelectedItem();
		setVisible(false);
	}

	public Object getNode()
	{
		return node;
	}
}

