import java.io.*;
import java.awt.*;
import java.awt.image.*;
import javax.swing.*;

class Show extends JFrame
{
	static final long serialVersionUID = 1;

	private static final int WIDTH = 320;
	private static final int HEIGHT = 240;

	private static int b(byte d)
	{
		return d<0 ? 256+d : d;
	}

	public Show() throws Exception
	{
		super();
		BufferedImage bi = new BufferedImage(WIDTH,HEIGHT,BufferedImage.TYPE_INT_ARGB);
		FileInputStream fis = new FileInputStream("test.bin");
		byte[] buf = new byte[WIDTH*HEIGHT*2];
		fis.read(buf);
		fis.close();
		int k=0;
		for (int i=0;i<WIDTH;i++)
		{
			for (int j=HEIGHT-1;j>=0;j--)
			{
				int r = b(buf[k+1])&0xf8;
				int g = (((b(buf[k+1])&0x07)<<2)+((b(buf[k])&0xc0)>>6))<<3;
				int b = (b(buf[k])&0x3e)<<2;
				k+=2;
				bi.setRGB(i,j,(255<<24)+(r<<16)+(g<<8)+b);
			}
		}
		getContentPane().setLayout(new BorderLayout());
		ImageIcon img = new ImageIcon(bi);
		getContentPane().add(new JButton(img));
		pack();
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}

	public static void main(String[] arg) throws Exception
	{
		(new Show()).setVisible(true);
	}
}