import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import j3d.*;

public class SubPanel extends JPanel implements ActionListener
{
	static final long serialVersionUID = 1;

	JPanel obj;
	Position3D pos;
	JTextField x,y,z,rx,ry,rz;
	JLabel id;

	public SubPanel(JPanel o,Position3D p)
	{
		obj = o;
		pos = p;
		setLayout(new GridLayout(7,2));
		add(new JLabel("ID"));
		add(id = new JLabel(o.toString()));
		add(new JLabel("X"));
		add(x = new JTextField(String.valueOf(p.pos.x)));
		x.addActionListener(this);
		x.setActionCommand("X");
		add(new JLabel("Y"));
		add(y = new JTextField(String.valueOf(p.pos.y)));
		y.addActionListener(this);
		y.setActionCommand("Y");
		add(new JLabel("Z"));
		add(z = new JTextField(String.valueOf(p.pos.y)));
		z.addActionListener(this);
		z.setActionCommand("Z");
		add(new JLabel("RX"));
		add(rx = new JTextField(String.valueOf(p.rot.x)));
		rx.addActionListener(this);
		rx.setActionCommand("RX");
		add(new JLabel("RY"));
		add(ry = new JTextField(String.valueOf(p.rot.y)));
		ry.addActionListener(this);
		ry.setActionCommand("RY");
		add(new JLabel("RZ"));
		add(rz = new JTextField(String.valueOf(p.rot.z)));
		rz.addActionListener(this);
		rz.setActionCommand("RZ");
	}

	public JPanel getPanel()
	{
		return obj;
	}

	public String toString()
	{
		return id.getText();
	}

	public void actionPerformed(ActionEvent e)
	{
		String c = e.getActionCommand();
		if (c.equals("X"))
			pos.pos.x = Export3D.check(x,pos.pos.x);
		else if (c.equals("Y"))
			pos.pos.y = Export3D.check(y,pos.pos.y);
		else if (c.equals("Z"))
			pos.pos.z = Export3D.check(z,pos.pos.z);
		else if (c.equals("RX"))
			pos.rot.x = Export3D.check(rx,pos.rot.x);
		else if (c.equals("RY"))
			pos.rot.y = Export3D.check(ry,pos.rot.x);
		else if (c.equals("RZ"))
			pos.rot.z = Export3D.check(rz,pos.rot.x);
		Export3D.refreshNode();
	}
}

