package j3d.basic;

import j3d.*;

public abstract class Map extends BasicObject3D
{
	public int m_w;
	public int m_h;

	public Map(int w,int h)
	{
	    m_w = w;
	    m_h = h;
	}

	protected void init()
	{
		int h1 = m_h+1;
		vertices = new Point3D[(m_w+1)*h1];
		alloc(m_w*m_h*2);

		initZ();

		int nv=0,nt=0;
		for (int i=0;i<=m_w;i++)
		{
			for (int j=0;j<=m_h;j++)
			{
				vertices[nv++] = new Point3D((m_h*32)-(j*64),getZ(i,j),(m_w*32)-(i*64));
				if (j>0)
				{
					if (i>0)
					{
						setTriangle(nt++,(i*h1)+j,(i*h1)+j-1,((i-1)*h1)+j);
						setTriangle(nt++,((i-1)*h1)+j-1,((i-1)*h1)+j,(i*h1)+j-1);
					}
				}
			}
		}

		initNormals();
	}

	public void initZ()
	{
	}

	public float getZ(int i,int j)
	{
		return 0f;
	}
}
