package j3d.basic.textured;

import j3d.basic.*;
import java.awt.Image;

public class TexturedSphere extends Sphere {

  public TexturedSphere(float radius,int sections,Image texture,boolean mode) {
    super(radius,sections);
    setTexture(texture,mode);
  }

  protected void alloc(int tcount) {
    triangles = BasicTexturedObject3D.alloc(tcount);
  }

  protected void setTriangle(int idx,int a,int b,int c) {
    BasicTexturedObject3D.setTriangle(this,idx,a,b,c);
  }

  public void setTexture(Image texture,boolean mode) {
    if (mode) BasicTexturedObject3D.setTexture(triangles,texture);
    else BasicTexturedObject3D.setTexture(this,texture);
  }
}
